VERSION 5.00
Begin VB.Form frmEyeEntry 
   Caption         =   "Eyes and Mouth"
   ClientHeight    =   8745
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   12405
   LinkTopic       =   "Form1"
   ScaleHeight     =   8745
   ScaleWidth      =   12405
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSaveMouth 
      Caption         =   "Save Mouth"
      Height          =   495
      Left            =   10560
      TabIndex        =   13
      Top             =   7680
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.CommandButton cmdSaveEye2 
      Caption         =   "Save Eye Data 2"
      Height          =   495
      Left            =   9000
      TabIndex        =   9
      Top             =   7680
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.CommandButton cmdSaveEye1 
      Caption         =   "Save Eye 1 Data"
      Height          =   495
      Left            =   7560
      TabIndex        =   8
      Top             =   7680
      Width           =   1095
   End
   Begin VB.ComboBox cboHeight 
      Height          =   315
      Left            =   5640
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   7680
      Width           =   1335
   End
   Begin VB.ComboBox cboWidth 
      Height          =   315
      ItemData        =   "EyeEntry.frx":0000
      Left            =   2880
      List            =   "EyeEntry.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   7680
      Width           =   1335
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   6810
      Left            =   11640
      Max             =   100
      TabIndex        =   3
      Top             =   240
      Width           =   300
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   1680
      Max             =   100
      TabIndex        =   2
      Top             =   7200
      Width           =   9825
   End
   Begin VB.PictureBox pic2 
      Height          =   6735
      Left            =   1680
      ScaleHeight     =   445
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   645
      TabIndex        =   0
      Top             =   240
      Width           =   9735
      Begin VB.PictureBox pic1 
         Height          =   1815
         Left            =   600
         ScaleHeight     =   117
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   125
         TabIndex        =   1
         Top             =   600
         Width           =   1935
      End
   End
   Begin VB.Label Directions3 
      Caption         =   "Now center the box on the mouth and click Save Mouth when ready."
      Height          =   1095
      Left            =   120
      TabIndex        =   12
      Top             =   5640
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Label lblDirections1 
      Caption         =   $"EyeEntry.frx":0004
      Height          =   3615
      Left            =   120
      TabIndex        =   11
      Top             =   360
      Width           =   1335
   End
   Begin VB.Label Directions2 
      Caption         =   "Now center the box on eye2 and click Save Eye Data 2 when ready."
      Height          =   1095
      Left            =   120
      TabIndex        =   10
      Top             =   4320
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Label lblH 
      Caption         =   "Set Height"
      Height          =   255
      Left            =   4560
      TabIndex        =   7
      Top             =   7800
      Width           =   855
   End
   Begin VB.Label lbW 
      Caption         =   "Set Width"
      Height          =   255
      Left            =   1920
      TabIndex        =   6
      Top             =   7800
      Width           =   735
   End
End
Attribute VB_Name = "frmEyeEntry"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim cx, cy, ulx, uly, urx, ury, dlx, dly, drx, dry, Ht, Wd As Integer

'next two are for drawing lines
Private Declare Function MoveToEx Lib "GDI32.dll" ( _
    ByVal hdc As Long, ByVal x As Long, ByVal y As Long, _
    ByRef lpPoint As POINTAPI) As Long

Private Declare Function LineTo Lib "GDI32.dll" ( _
    ByVal hdc As Long, ByVal x As Long, ByVal y As Long) As Long
'also used for drawing lines
Private Type POINTAPI
    x As Long
    y As Long
End Type

'combo box click and change functions

Private Sub cboHeight_Change()
    Ht = cboHeight.Text
    FindCorners
    DrawRectangle
End Sub

Private Sub cboHeight_Click()
    Ht = cboHeight.Text
    FindCorners
    DrawRectangle
End Sub

Private Sub cboWidth_Change()
    Wd = cboWidth.Text
    FindCorners
    DrawRectangle
End Sub

Private Sub cboWidth_Click()
        Wd = cboWidth.Text
    FindCorners
    DrawRectangle
End Sub

'each save command sends the data to the variables to the data form to be processed at the end
'then it hides itself and makes the next command and instructions visible
'the last one (mouth) will proceed to the next form
Private Sub cmdSaveEye1_Click()
    Call frmData.SaveE1(ulx, uly, urx, ury, dlx, dly, drx, dry)
    cmdSaveEye2.Visible = True
    cmdSaveEye1.Visible = False
    Directions2.Visible = True
End Sub

Private Sub cmdSaveEye2_Click()
    Call frmData.SaveE2(ulx, uly, urx, ury, dlx, dly, drx, dry)
    cmdSaveEye2.Visible = False
    cmdSaveMouth.Visible = True
    Directions3.Visible = True
End Sub

Private Sub cmdSaveMouth_Click()
    Call frmData.SaveM(ulx, uly, urx, ury, dlx, dly, drx, dry)
    frmEyeEntry.Visible = False
    frmEarEntry.Visible = True
    frmEarEntry.pic1.Picture = pic1.Picture
End Sub

Private Sub Form_Load()
        'for scrolling a large pic
    'pic1 is place inside of pic2 and expanded to a large size
    'only that which fits in pic2 is shown, allowing scrolling to the unshown parts
   pic1.Width = 10000
   pic1.Left = 0
   pic1.Top = 0
   pic1.Height = 10000
   
   'set up first box size variables
   Ht = 10
   Wd = 10
   'set up combo boxes
   Dim i As Integer
   i = 4
   While i < 100
    cboWidth.AddItem (i)
    cboHeight.AddItem (i)
    i = i + 4
    Wend
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    frmLoadPicture.Visible = True
End Sub

'Picture Scroll Code
'http://www.freevbcode.com/ShowCode.asp?ID=4783

Private Sub VScroll1_Change()
   Call tp
End Sub

Private Sub VScroll1_Scroll()
   Call tp
End Sub
Private Sub HScroll1_Change()
   Call lft
End Sub

Private Sub HScroll1_Scroll()
   Call lft
End Sub
'scroll picture vertically
Public Sub tp()
   Dim l As Double
   Dim a As Double
   Dim x As Double
   
   x = VScroll1.Value
   a = pic1.Height - 25 'pic2.Height
   l = (a * x) / 500 '100
   pic1.Top = -l

End Sub
'scroll picture horizontally
Public Sub lft()
   Dim l As Double
   Dim a As Double
   Dim x As Double
   
   x = HScroll1.Value
   a = pic1.Width - 25 'pic2.Width
   l = (a * x) / 500 '100
   pic1.Left = -l

End Sub
    
'Public Function AverageXpt() As Double
    'MsgBox (PtArrayX(0))
    'MsgBox (PtArrayX(1))
    'MsgBox (PtArrayX(2))
    'MsgBox (PtArrayX(3))
    'MsgBox (PtArrayX(4))
    'AverageXpt = (PtArrayX(0) + PtArrayX(1) + PtArrayX(2) + PtArrayX(3) + PtArrayX(4)) / 5
'End Function

Private Sub pic1_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    
    'Dim XVal As Integer
  ' Dim YVal As Integer
   cx = x
   cy = y
   'MsgBox X
    
    FindCorners
    DrawRectangle


   
End Sub
'calculates the corners for the rectangle based on the point last clicked and the height and width being used
Public Sub FindCorners()
    urx = cx + Wd
    ury = cy - Ht
    drx = cx + Wd
    dry = cy + Ht
    ulx = cx - Wd
    uly = cy - Ht
    dlx = cx - Wd
    dly = cy + Ht
End Sub
'draws the rectangle around the point last clicked
Public Sub DrawRectangle()
    pic1.Picture = pic1.Picture
    'MsgBox "here"
    Dim DummyPt As POINTAPI
    'Draw rectangle here
    'draw ul to ur
    Call MoveToEx(pic1.hdc, ulx, uly, DummyPt)
    Call LineTo(pic1.hdc, urx, ury)
    'draw ul to dl
    Call MoveToEx(pic1.hdc, ulx, uly, DummyPt)
    Call LineTo(pic1.hdc, dlx, dly)
    'draw dl to dr
     Call MoveToEx(pic1.hdc, dlx, dly, DummyPt)
    Call LineTo(pic1.hdc, drx, dry)
    'draw ur to dr
    Call MoveToEx(pic1.hdc, urx, ury, DummyPt)
    Call LineTo(pic1.hdc, drx, dry)
End Sub

